Delete an agent run and any resume cache associated with it
curl --request DELETE \
--url https://api.datalinks.com/api/v1/query/runs/{runId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.datalinks.com/api/v1/query/runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datalinks.com/api/v1/query/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}agentRuns
Delete an agent run and any resume cache associated with it
Permanently removes the run record and its checkpoint blob. Returns 404 for both “never existed” and “owned by someone else” to avoid leaking existence of other users’ conversations.
DELETE
/
query
/
runs
/
{runId}
Delete an agent run and any resume cache associated with it
⌘I